{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.endoceras.general": {
			"initial_state": "default",
			"states": {
				"default": {
					"animations": [
						{
							"hiding": "query.can_climb"
						},
						"turn"
					]
				}
			}
		},
		"controller.animation.endoceras.move": {
			"initial_state": "idle",
			"states": {
				"walking": {
					"animations": [
						{
							"walk": "query.is_on_ground"
						},
						{
							"swimvertical": "!query.is_on_ground"
						}
					],
					"transitions": [
						{
							"swimming": "query.can_fly"
						}
					],
					"blend_transition": 3
				},
				"swimming": {
					"animations": [
						"swim"
					],
					"transitions": [
						{
							"walking": "!query.can_fly"
						}
					],
					"blend_transition": 3
				}
			}
		}
	}
}